<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      data-namespace-typo3-fluid="true">

    <div class="form-group">
        <label for="{val.vars.id}">{val.vars.label -> f:format.raw()}</label>
        <f:form.select name="{val.vars.name}" id="{val.vars.id}" class="form-control" prependOptionValue="" prependOptionLabel="{val.vars.placeholder}"><!-- prependOptionValue="" prependOptionLabel="---" -->
            <f:if condition="{val.vars.preferred_choices -> f:count()} > 0">
                <f:then>
                    <f:for each="{val.vars.preferred_choices}" as="option" key="i">
                        <f:if condition="{val.vars.data} == {option.value}">
                            <f:then>
                                <f:form.select.option value="{option.value}" selected="selected">{option.label -> f:format.raw()}</f:form.select.option>
                            </f:then>
                            <f:else>
                                <f:form.select.option value="{option.value}">{option.label -> f:format.raw()}</f:form.select.option>
                            </f:else>
                        </f:if>
                    </f:for>
                </f:then>
            </f:if>
            <f:form.select.optgroup label="{val.vars.separator}">
                <f:for each="{val.vars.choices}" as="option" key="i">
                    <f:if condition="{val.vars.data} == {option.value}">
                        <f:then>
                            <f:form.select.option value="{option.value}" selected="selected">{option.label -> f:format.raw()}</f:form.select.option>
                        </f:then>
                        <f:else>
                            <f:form.select.option value="{option.value}">{option.label -> f:format.raw()}</f:form.select.option>
                        </f:else>
                    </f:if>
                </f:for>
            </f:form.select.optgroup>
        </f:form.select>
        <f:render partial="Render/Fields/Attributes/Help" arguments="{val: val}" />

        <v:security.allow anyBackendUser="TRUE">
            <span style="position: absolute;top: 5px;right: 0px;">
                <span class="badge badge-info">session: '{val.vars.attr.session}'</span>
            </span>
        </v:security.allow>

    </div>

</html>
